> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 消費サイクルの一覧を取得

<div id="permissions">
  ## 権限
</div>

Enterprise レベルで `ViewAccountConsumption` 権限を持つサービスユーザーが必要です。


## OpenAPI

````yaml ja/v3-openapi.yaml GET /v3/enterprise/consumption/cycles
openapi: 3.1.0
info:
  description: Service User 認証および RBAC に対応した Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/enterprise/consumption/cycles:
    get:
      tags:
        - consumption
      summary: 消費サイクルの一覧を取得
      operationId: handle_get_consumption_cycles_v3_enterprise_consumption_cycles_get
      parameters:
        - in: query
          name: after
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: After
        - in: query
          name: first
          required: false
          schema:
            default: 100
            maximum: 200
            minimum: 1
            title: First
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_ConsumptionCycle_'
          description: 成功時のレスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: バリデーションエラー
components:
  schemas:
    PaginatedResponse_ConsumptionCycle_:
      properties:
        end_cursor:
          anyOf:
            - type: string
            - type: 'null'
          description: 次のページを取得するためのカーソル。最後のページの場合は None です。
          title: End Cursor
        has_next_page:
          default: false
          description: このページ以降にさらに項目が存在するかどうか。
          title: Has Next Page
          type: boolean
        items:
          items:
            $ref: '#/components/schemas/ConsumptionCycle'
          title: Items
          type: array
        total:
          anyOf:
            - type: integer
            - type: 'null'
          description: 任意の合計件数（パフォーマンス向上のため、省略可能）。
          title: Total
      required:
        - items
      title: PaginatedResponse[ConsumptionCycle]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ConsumptionCycle:
      properties:
        after:
          title: After
          type: integer
        before:
          title: Before
          type: integer
      required:
        - before
        - after
      title: ConsumptionCycle
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'サービスユーザーの認証情報（接頭辞: cog_）'
      scheme: bearer
      type: http

````